# Authentication

To authenticate a request, you must include an `Authorization` header like so:

```http
Authorization: Bearer {your_key}
```

The Bearer token is generated inside GEM-SUITE. Every user that have access to GEM-SUITE have their specific token accessible in the user management section. To access these tokens, you need to be logged in as the account's manager (user that created the system). The bearer token has the same rights to the data as the user linked to the token. For example, if you use a token of a user who does not have the right to add new transactions, the `create transaction` endpoint will not be accessible.

To create a Bearer token, you must access the platform with an administrator account or an account that has the rights to modify other access. On the top right of the home screen, click on your name, and then click on `Actif account management` (`Users management` if not an administrator account). Then, click on the `Users` tab. You will now need to choose which access will be linked to the token. This is important because actions made through this token will be considered as if made by the user selected. The rights of the token will also be dictated by the role linked to the user selected. Once you have chosen the user, click on it. The token will be displayed in the `REST API access key` field.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gem-suite.com/api-reference/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
